com.amazonaws.services.codedeploy.model

## Class BatchGetDeploymentInstancesRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.codedeploy.model.BatchGetDeploymentInstancesRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class BatchGetDeploymentInstancesRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

Represents the input of a batch get deployment instances operation.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`BatchGetDeploymentInstancesRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BatchGetDeploymentInstancesRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getDeploymentId()` The unique ID of a deployment.
`List<String>` `getInstanceIds()` The unique IDs of instances in the deployment group.
`int` `hashCode()`
`void` `setDeploymentId(String deploymentId)` The unique ID of a deployment.
`void` `setInstanceIds(Collection<String> instanceIds)` The unique IDs of instances in the deployment group.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`BatchGetDeploymentInstancesRequest` `withDeploymentId(String deploymentId)` The unique ID of a deployment.
`BatchGetDeploymentInstancesRequest` `withInstanceIds(Collection<String> instanceIds)` The unique IDs of instances in the deployment group.
`BatchGetDeploymentInstancesRequest` `withInstanceIds(String... instanceIds)` The unique IDs of instances in the deployment group.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BatchGetDeploymentInstancesRequest

    public BatchGetDeploymentInstancesRequest()

### Method Detail

#### setDeploymentId

    public void setDeploymentId(String deploymentId)

The unique ID of a deployment.

Parameters:
  `deploymentId` - The unique ID of a deployment.

#### getDeploymentId

    public String getDeploymentId()

The unique ID of a deployment.

Returns:
  The unique ID of a deployment.

#### withDeploymentId

    public BatchGetDeploymentInstancesRequest withDeploymentId(String deploymentId)

The unique ID of a deployment.

Parameters:
  `deploymentId` - The unique ID of a deployment.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getInstanceIds

    public List<String> getInstanceIds()

The unique IDs of instances in the deployment group.

Returns:
  The unique IDs of instances in the deployment group.

#### setInstanceIds

    public void setInstanceIds(Collection<String> instanceIds)

The unique IDs of instances in the deployment group.

Parameters:
  `instanceIds` - The unique IDs of instances in the deployment group.

#### withInstanceIds

    public BatchGetDeploymentInstancesRequest withInstanceIds(String... instanceIds)

The unique IDs of instances in the deployment group.

NOTE: This method appends the values to the existing list (if any). Use `setInstanceIds(java.util.Collection)` or `withInstanceIds(java.util.Collection)` if you want to override the existing values.

Parameters:
  `instanceIds` - The unique IDs of instances in the deployment group.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withInstanceIds

    public BatchGetDeploymentInstancesRequest withInstanceIds(Collection<String> instanceIds)

The unique IDs of instances in the deployment group.

Parameters:
  `instanceIds` - The unique IDs of instances in the deployment group.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public BatchGetDeploymentInstancesRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`